Bug 128018 - UI Descriptive statistics do not use column names
Summary: UI Descriptive statistics do not use column names
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: All All
: medium enhancement
Assignee: Andreas Heinisch
URL:
Whiteboard: target:7.2.0 target:7.3.0
Keywords:
Depends on:
Blocks: Data-Statistics
  Show dependency treegraph
 
Reported: 2019-10-08 11:29 UTC by françois dambrine
Modified: 2021-09-10 15:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description françois dambrine 2019-10-08 11:29:53 UTC
Description:
When I generate descriptive statistics of one of my data set the result sets "1 Column", "2 Column" (or its localized equivalent as I often work in French GUI) instead of my column labels.


Steps to Reproduce:
1. create a data set on column A, A1 cell is the data set label/name
2. select column A
3. in Data/statistics select "descriptive statistics", enter a target cell and validate


Actual Results:
The label for my column is "1 Column" (or "1 Colonne" in french language)

Expected Results:
The label for my column is A1 cell content


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Buovjaga 2020-04-26 13:01:50 UTC
Confirmed

Arch Linux 64-bit
Version: 7.0.0.0.alpha0+
Build ID: 6a9c7409ee617b79c327dd7ea4de432f448b6006
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 24 April 2020
Comment 2 Commit Notification 2021-06-12 15:45:01 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e0237886450dcd3e6d3200ef533d2b3d7f0f8c19

tdf#128018 - Add column/row labels to the descriptive statistics

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 stragu 2021-08-17 02:02:09 UTC
Verified as fixed in:

Version: 7.2.0.3 / LibreOffice Community
Build ID: 2a7ea282da28d665a7dc086360567b4aea27bf08
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

Added to the release notes:

https://wiki.documentfoundation.org/index.php?title=ReleaseNotes%2F7.2&type=revision&diff=378502&oldid=376638
Comment 4 Commit Notification 2021-09-10 15:30:20 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/d6f20e65e37295a617c4bf0f534c8a0f746d7b19

tdf#128018 - Adapted column/row labels to reflect the change of the descriptive statistics result